# Generated by rust2rpm 24
%bcond_with check

%global crate ripgrep

Name:           rust-ripgrep
Version:        14.1.1
Release:        %autorelease
Summary:        Line-oriented search tool

License:        Unlicense OR MIT
URL:            https://crates.io/crates/ripgrep
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Ripgrep is a line-oriented search tool that recursively searches the
current directory for a regex pattern while respecting gitignore rules.
ripgrep has first class support on Windows, macOS and Linux.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (Apache-2.0 OR MIT) AND BSD-3-Clause
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        BSD-3-Clause AND MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license COPYING
%license LICENSE-MIT
%license UNLICENSE
%license LICENSE.dependencies
%license cargo-vendor.txt
%doc CHANGELOG.md
%doc FAQ.md
%doc GUIDE.md
%doc README.md
%doc RELEASE-CHECKLIST.md
%{_bindir}/rg
%{_mandir}/man1/rg.1*
%{bash_completions_dir}/rg.bash
%{fish_completions_dir}/rg.fish
%{zsh_completions_dir}/_rg

%prep
%autosetup -n %{crate}-%{version} -p1
cargo vendor
%cargo_prep -v vendor

%build
%cargo_build -a
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
%{cargo_vendor_manifest}

%install
%cargo_install -a
install -d %{buildroot}%{zsh_completions_dir}
install -d %{buildroot}%{bash_completions_dir}
install -d %{buildroot}%{fish_completions_dir}
install -d %{buildroot}%{_mandir}/man1/

%{buildroot}%{_bindir}/rg --generate complete-zsh > %{buildroot}%{zsh_completions_dir}/_rg
%{buildroot}%{_bindir}/rg --generate complete-bash > %{buildroot}%{bash_completions_dir}/rg.bash
%{buildroot}%{_bindir}/rg --generate complete-fish > %{buildroot}%{fish_completions_dir}/rg.fish
%{buildroot}%{_bindir}/rg --generate man > %{buildroot}%{_mandir}/man1/rg.1


%if %{with check}
%check
%cargo_test -a
%endif

%changelog
%autochangelog
